Setup Kotanipay integration.
curl --request PUT \
--url https://sandbox-api.borderless.xyz/v1/organizations/integrations/kotanipay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientId": "342654b907af5555fa6bd1a2",
"clientSecret": "kjJ1c2VyX2lkIjoiNjcwNjU0YjkwN2FmNjE1MmZhNmJkNGE2IiwiY3JlYXRlZF9hdCI61234MjQtMTAtMjFUMTQ6NDg6NTIuMjc5WiJ9.f268821a8eae0a86c4f3ad904a0be4c28f0771613e90e31884aa99a6827c123g"
}
'import requests
url = "https://sandbox-api.borderless.xyz/v1/organizations/integrations/kotanipay"
payload = {
"clientId": "342654b907af5555fa6bd1a2",
"clientSecret": "kjJ1c2VyX2lkIjoiNjcwNjU0YjkwN2FmNjE1MmZhNmJkNGE2IiwiY3JlYXRlZF9hdCI61234MjQtMTAtMjFUMTQ6NDg6NTIuMjc5WiJ9.f268821a8eae0a86c4f3ad904a0be4c28f0771613e90e31884aa99a6827c123g"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientId: '342654b907af5555fa6bd1a2',
clientSecret: 'kjJ1c2VyX2lkIjoiNjcwNjU0YjkwN2FmNjE1MmZhNmJkNGE2IiwiY3JlYXRlZF9hdCI61234MjQtMTAtMjFUMTQ6NDg6NTIuMjc5WiJ9.f268821a8eae0a86c4f3ad904a0be4c28f0771613e90e31884aa99a6827c123g'
})
};
fetch('https://sandbox-api.borderless.xyz/v1/organizations/integrations/kotanipay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Integrations Config
Setup Kotanipay integration.
deprecated
Create Kotanipay integration to configure the connection with the Kotanipay account.
PUT
/
v1
/
organizations
/
integrations
/
kotanipay
Setup Kotanipay integration.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The Kotanipay client ID for authentication.
Example:
"342654b907af5555fa6bd1a2"
The Kotanipay client secret for authentication.
Example:
"kjJ1c2VyX2lkIjoiNjcwNjU0YjkwN2FmNjE1MmZhNmJkNGE2IiwiY3JlYXRlZF9hdCI61234MjQtMTAtMjFUMTQ6NDg6NTIuMjc5WiJ9.f268821a8eae0a86c4f3ad904a0be4c28f0771613e90e31884aa99a6827c123g"
Response
202
Organization Kotanipay integration data
Was this page helpful?
⌘I